All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxJ2LevelTreeV3

    com.sas.sasserver.tree._rprxJ2LevelTreeV3

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.collection.ContentsChangedSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.models.TreeInterface, com.sas.net.server.SessionFactoryNotificationInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, RemoteSASListInterface, LevelDataInterface, LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface, RemoteLevelTreeInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class _rprxJ2LevelTreeV3

implements LevelTreeV3Interface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.sasserver.tree._rprxJ2LevelTree
`methodName, name, pmode, remoteObject`

Fields inherited from interface com.sas.sasserver.tree.LevelTreeV3Interface
`contextClasspath`

Constructor Summary
`_rprxJ2LevelTreeV3()`

Method Summary
`int` | `_RemoteObject_version()`
`java.lang.String` | `getAcessKeyColumnName()` getAccessKeyColumnName
`java.lang.String` | `getDefaultImageAltTextColumnName()` getDefaultImageAltTextColumnName
`java.lang.String` | `getExpandedImageAltTextColumnName()` getExpandedImageAltTextColumnName
`java.lang.String` | `getTabIndexColumnName()` getTabIndexColumnName
`java.lang.String` | `getTitleColumnName()` getTitleColumnName
`void` | `setAccessKeyColumnName(java.lang.String p1)` setAccessKeyColumnName
`void` | `setDefaultImageAltTextCoulmnName(java.lang.String p1)` setDefaultImageAltTextColumnName
`void` | `setExpandedImageAltTextColumnName(java.lang.String p1)` setExpandedImageAltTextColumName
`void` | `setTabIndexColumnName(java.lang.String p1)` setTabIndexColumnName
`void` | `setTitleColumnName(java.lang.String p1)` setTitleColumnName

Methods inherited from class com.sas.sasserver.tree._rprxJ2LevelTreeV2
`getKey, getKeyColumnName, setKey, setKeyColumnName`

Methods inherited from class com.sas.sasserver.tree._rprxJ2LevelTree
`_getDataSet, _getDefaultIcon, _getDefaultIconColumn, _getDelegateClass, _getExpandedIcon, _getExpandedIconColumn, _getIndexColumn, _getLevelColumn, _getLink, _getLinkColumn, _getMembers, _getNameValuePairColumns, _getTextColumn, _getTreeNodes, _getWhere, _isValid, _Remote_addContentsChangedListener, _Remote_getRoot, _Remote_getWhere, _Remote_removeContentsChangedListener, _Remote_setWhere, _Remote_validate, _RemoteObject_getInstance, _RemoteObject_newInstance, _setDataSet, _setDefaultIcon, _setDefaultIconColumn, _setExpandedIcon, _setExpandedIconColumn, _setIndexColumn, _setLevelColumn, _setLink, _setLinkColumn, _setNameValuePairColumns, _setRemoteHandle, _setTextColumn, _setWhere, _validate, addContentsChangedListener, close, getDataSet, getDefaultImage, getDefaultImageColumnName, getExpandedImage, getExpandedImageColumnName, getIndexColumnName, getLevelColumnName, getNameValuePairColumns, getRoot, getTextColumnName, getURL, getURLColumnName, getWhere, removeContentsChangedListener, setDataSet, setDefaultImage, setDefaultImageColumnName, setExpandedImage, setExpandedImageColumnName, setIndexColumnName, setLevelColumnName, setNameValuePairColumns, setTextColumnName, setURL, setURLColumnName, setWhere, stop, validate`

Methods inherited from interface com.sas.sasserver.tree.LevelTreeV2Interface
`getKey, getKeyColumnName, setKey, setKeyColumnName`

Methods inherited from interface com.sas.sasserver.tree.LevelTreeInterface
`close, getDataSet, getDefaultImage, getDefaultImageColumnName, getExpandedImage, getExpandedImageColumnName, getNameValuePairColumns, getURL, getURLColumnName, getWhere, setDataSet, setDefaultImage, setDefaultImageColumnName, setExpandedImage, setExpandedImageColumnName, setNameValuePairColumns, setURL, setURLColumnName, setWhere, validate`

Methods inherited from interface com.sas.sasserver.tree.RemoteLevelTreeInterface
`_getDataSet, _getDefaultIcon, _getDefaultIconColumn, _getExpandedIcon, _getExpandedIconColumn, _getIndexColumn, _getLevelColumn, _getLink, _getLinkColumn, _getNameValuePairColumns, _getTextColumn, _getTreeNodes, _getWhere, _isValid, _setDataSet, _setDefaultIcon, _setDefaultIconColumn, _setExpandedIcon, _setExpandedIconColumn, _setIndexColumn, _setLevelColumn, _setLink, _setLinkColumn, _setNameValuePairColumns, _setTextColumn, _setWhere, _validate`

Methods inherited from interface com.sas.sasserver.RemoteSASListInterface
`_getMembers`

Methods inherited from interface com.sas.sasserver.tree.LevelDataInterface
`getIndexColumnName, getLevelColumnName, getTextColumnName, setIndexColumnName, setLevelColumnName, setTextColumnName`

Constructor Detail

### _rprxJ2LevelTreeV3

    public _rprxJ2LevelTreeV3()

Method Detail

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Overrides:
    `_RemoteObject_version` in class `_rprxJ2LevelTreeV2`

### setAccessKeyColumnName

    public void setAccessKeyColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setAccessKeyColumnName

  Specified by:
    `setAccessKeyColumnName` in interface `LevelTreeV3Interface`

### getAcessKeyColumnName

    public java.lang.String getAcessKeyColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getAccessKeyColumnName

  Specified by:
    `getAcessKeyColumnName` in interface `LevelTreeV3Interface`

### setTabIndexColumnName

    public void setTabIndexColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setTabIndexColumnName

  Specified by:
    `setTabIndexColumnName` in interface `LevelTreeV3Interface`

### getTabIndexColumnName

    public java.lang.String getTabIndexColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getTabIndexColumnName

  Specified by:
    `getTabIndexColumnName` in interface `LevelTreeV3Interface`

### setDefaultImageAltTextCoulmnName

    public void setDefaultImageAltTextCoulmnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setDefaultImageAltTextColumnName

  Specified by:
    `setDefaultImageAltTextCoulmnName` in interface `LevelTreeV3Interface`

### getDefaultImageAltTextColumnName

    public java.lang.String getDefaultImageAltTextColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getDefaultImageAltTextColumnName

  Specified by:
    `getDefaultImageAltTextColumnName` in interface `LevelTreeV3Interface`

### setExpandedImageAltTextColumnName

    public void setExpandedImageAltTextColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setExpandedImageAltTextColumName

  Specified by:
    `setExpandedImageAltTextColumnName` in interface `LevelTreeV3Interface`

### getExpandedImageAltTextColumnName

    public java.lang.String getExpandedImageAltTextColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getExpandedImageAltTextColumnName

  Specified by:
    `getExpandedImageAltTextColumnName` in interface `LevelTreeV3Interface`

### setTitleColumnName

    public void setTitleColumnName(java.lang.String p1)

  Description copied from interface: `LevelTreeV3Interface`
  setTitleColumnName

  Specified by:
    `setTitleColumnName` in interface `LevelTreeV3Interface`

### getTitleColumnName

    public java.lang.String getTitleColumnName()

  Description copied from interface: `LevelTreeV3Interface`
  getTitleColumnName

  Specified by:
    `getTitleColumnName` in interface `LevelTreeV3Interface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.